
package com.lideeyunji.tool.framework.sql.entity;


import com.lideeyunji.tool.framework.yunji.enums.LideeYunJiFieldTypeEnum;

import java.util.List;
import java.util.Map;

/**
 * 数据库字段列表
 */
public class FieldModel {
	private String fieldCode;//字段
	private String fieldName;//字段名称
	private Integer fieldLen;//长度
	private Integer fieldPointLen;//小数位
	private String fieldDefaultVal;//字段默认值
	private LideeYunJiFieldTypeEnum fieldType;//字段类型
	private List<LideeYunJiFieldTypeEnum> javaFieldTypeList;//字段类型
	private String isPrimaryKey;//是否是主键  Y=是  N=不是
	private String isNull;//是否允许为空 Y=允许  N=不允许

	private Map<String,Object> otherMap;//其他值

	private String dbNowIsNull;//当前数据库是否为空状态

	private Integer maxFieldLen;//最大长度
	private Integer maxPointLen;//最大小数位长度

	public String getFieldCode() {
		return fieldCode;
	}

	public void setFieldCode(String fieldCode) {
		this.fieldCode = fieldCode;
	}

	public String getFieldName() {
		return fieldName;
	}

	public void setFieldName(String fieldName) {
		this.fieldName = fieldName;
	}

	public Integer getFieldLen() {
		return fieldLen;
	}

	public void setFieldLen(Integer fieldLen) {
		this.fieldLen = fieldLen;
	}

	public Integer getFieldPointLen() {
		return fieldPointLen;
	}

	public void setFieldPointLen(Integer fieldPointLen) {
		this.fieldPointLen = fieldPointLen;
	}

	public String getFieldDefaultVal() {
		return fieldDefaultVal;
	}

	public void setFieldDefaultVal(String fieldDefaultVal) {
		this.fieldDefaultVal = fieldDefaultVal;
	}

	public LideeYunJiFieldTypeEnum getFieldType() {
		return fieldType;
	}

	public void setFieldType(LideeYunJiFieldTypeEnum fieldType) {
		this.fieldType = fieldType;
	}

	public List<LideeYunJiFieldTypeEnum> getJavaFieldTypeList() {
		return javaFieldTypeList;
	}

	public void setJavaFieldTypeList(List<LideeYunJiFieldTypeEnum> javaFieldTypeList) {
		this.javaFieldTypeList = javaFieldTypeList;
	}

	public String getIsPrimaryKey() {
		return isPrimaryKey;
	}

	public void setIsPrimaryKey(String isPrimaryKey) {
		this.isPrimaryKey = isPrimaryKey;
	}

	public String getIsNull() {
		return isNull;
	}

	public void setIsNull(String isNull) {
		this.isNull = isNull;
	}

	public Map<String, Object> getOtherMap() {
		return otherMap;
	}

	public void setOtherMap(Map<String, Object> otherMap) {
		this.otherMap = otherMap;
	}

	public Integer getMaxFieldLen() {
		return maxFieldLen;
	}

	public void setMaxFieldLen(Integer maxFieldLen) {
		this.maxFieldLen = maxFieldLen;
	}

	public Integer getMaxPointLen() {
		return maxPointLen;
	}

	public void setMaxPointLen(Integer maxPointLen) {
		this.maxPointLen = maxPointLen;
	}

	public String getDbNowIsNull() {
		return dbNowIsNull;
	}

	public void setDbNowIsNull(String dbNowIsNull) {
		this.dbNowIsNull = dbNowIsNull;
	}
}
